Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management
Interface MBeanHome

public interface MBeanHome
extends weblogic.rmi.extensions.NonTransactionalRemote

The home object to access a particular MBeanServer. While this object is local (and serializable), the underlying MBeanServer is remote.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `ADMIN_JNDI_NAME`
`static java.lang.String` | `JNDI_NAME`

Method Summary
`ConfigurationMBean` | `createConfigurationMBean(java.lang.String name, java.lang.String type, ConfigurationMBean parent)`
`DomainMBean` | `getActiveDomain()` Return the Active Domain
`java.util.Set` | `getAllMBeans()` Return all the mbeans.
`java.util.Set` | `getAllMBeans(java.lang.String domain)` Return all the mbeans for the specified domain.
`java.lang.String` | `getDomainName()` Return the domain name of the server on which this home was originally instantiated.
`WebLogicMBean` | `getMBean(javax.management.ObjectName objectName)` Return the MBean with the specified objectName.
`WebLogicMBean` | `getMBean(java.lang.String name, java.lang.Class cls)` Return the MBean with the specified name that implements the specified class in the active domain.
`WebLogicMBean` | `getMBean(java.lang.String name, java.lang.String type)` Return the MBean with the specified name and type and no domain.
`WebLogicMBean` | `getMBean(java.lang.String name, java.lang.String type, java.lang.String domain)` Return the MBean with the specified name and type in the specified domain.
`java.util.Set` | `getMBeansByClass(java.lang.Class cls)` Return all the MBeans that implement a particular class in the active domain.
`java.util.Set` | `getMBeansByClass(java.lang.Class cls, java.lang.String domain)` Return all the MBeans that implement a particular class in the specified domain.
`java.util.Set` | `getMBeansByType(java.lang.String type)` Return all mbeans of a particular type in the active domain.
`java.util.Set` | `getMBeansByType(java.lang.String type, java.lang.String domain)` Return all mbeans of a particular type the specified domain.
`RemoteMBeanServer` | `getMBeanServer()` Return the default MBean Server that backs this home.

Field Detail

### JNDI_NAME

    public static final java.lang.String JNDI_NAME

### ADMIN_JNDI_NAME

    public static final java.lang.String ADMIN_JNDI_NAME

Method Detail

### getMBeanServer

    public RemoteMBeanServer getMBeanServer()

  Return the default MBean Server that backs this home.

### getMBean

    public WebLogicMBean getMBean(javax.management.ObjectName objectName)
                           throws javax.management.InstanceNotFoundException

  Return the MBean with the specified objectName. The object name may not contain any wildcard.

### getMBean

    public WebLogicMBean getMBean(java.lang.String name,
                                  java.lang.String type,
                                  java.lang.String domain)
                           throws javax.management.InstanceNotFoundException

  Return the MBean with the specified name and type in the specified domain.

### getMBean

    public WebLogicMBean getMBean(java.lang.String name,
                                  java.lang.String type)
                           throws javax.management.InstanceNotFoundException

  Return the MBean with the specified name and type and no domain.

### getMBean

    public WebLogicMBean getMBean(java.lang.String name,
                                  java.lang.Class cls)
                           throws javax.management.InstanceNotFoundException

  Return the MBean with the specified name that implements the specified class in the active domain.

### getMBeansByType

    public java.util.Set getMBeansByType(java.lang.String type,
                                         java.lang.String domain)

  Return all mbeans of a particular type the specified domain.

### getMBeansByType

    public java.util.Set getMBeansByType(java.lang.String type)

  Return all mbeans of a particular type in the active domain.

### getMBeansByClass

    public java.util.Set getMBeansByClass(java.lang.Class cls)

  Return all the MBeans that implement a particular class in the active domain.

### getMBeansByClass

    public java.util.Set getMBeansByClass(java.lang.Class cls,
                                          java.lang.String domain)

  Return all the MBeans that implement a particular class in the specified domain.

### getAllMBeans

    public java.util.Set getAllMBeans(java.lang.String domain)

  Return all the mbeans for the specified domain.

### getAllMBeans

    public java.util.Set getAllMBeans()

  Return all the mbeans.

### getActiveDomain

    public DomainMBean getActiveDomain()

  Return the Active Domain

### createConfigurationMBean

    public ConfigurationMBean createConfigurationMBean(java.lang.String name,
                                                       java.lang.String type,
                                                       ConfigurationMBean parent)
                                                throws MBeanCreationException

### getDomainName

    public java.lang.String getDomainName()

  Return the domain name of the server on which this home was originally instantiated. It will be null if the home is instantiated on a client.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD